#ifndef STM8L_DAC_H
    #define STM8L_DAC_H

#include <stdint.h>


typedef  struct
{
	union
    {
       volatile uint8_t DAC_CR1;
       //volatile bits_t  DAC_CR1b;
			volatile uint8_t EN :1;
			volatile uint8_t BOFF :1;
			volatile uint8_t TEN :1;
			volatile uint8_t TSEL :3;
		  volatile uint8_t WAVEN :2;
    };
		union
    {
       volatile uint8_t DAC_CR2;
       volatile bits_t  DAC_CR2b;
			
    };
		uint8_t  RESERVED0[2];
		
		union
    {
       volatile uint8_t DAC_SWTRGR;
       //volatile bits_t  DAC_SWTRGRb;
			 volatile uint8_t SWTRGR1:1;
			 volatile uint8_t SWTRGR2:1;
			 volatile uint8_t RESERVED_SWTRGR:6;
    };
		union
    {
       volatile uint8_t DAC_SR;
       volatile bits_t  DAC_SRb;
			
    };
		uint8_t  RESERVED1[2];
		union
    {
			volatile uint16_t DAC_RDHR;
      volatile uint8_t DAC_RDHRH;
			volatile uint8_t DAC_RDHRL;
    };
		uint8_t  RESERVED2[2];
		union
    {
			volatile uint16_t DAC_LDHR;
      volatile uint8_t DAC_LDHRH;
			volatile uint8_t DAC_LDHRL;
    };
		uint8_t  RESERVED3[2];
		union
    {
       volatile uint8_t DAC_DHR8;
       volatile bits_t  DAC_DHR8b;
			
    };
		uint8_t  RESERVED4[27];
		union
    {
			volatile uint16_t DAC_DOR;
      volatile uint8_t DAC_DORH;
			volatile uint8_t DAC_DORL;
    };
		
		} DAC_t;
		
		
		
		#define DAC  ((DAC_t*)0x5380)

#endif  // #ifndef STM8L_DAC_H